angular.module('starter.controllers')
    .controller('ListFormsCtrl', function ($scope, $state, $stateParams, $ionicHistory, $rootScope, LC, system) {
        LC.get('savedforms').then(function (forms) {
            $scope.forms = forms;
        });

        $scope.currentNature = $stateParams.natureId;

        $scope.deleteForm = function (form) {
            system.confirm('Supprimer le formulaire ?', function () {
                LC.delete('savedforms', 'id', form.id).then(function () {
                    $scope.getForms();
                    $rootScope.initStoredFormCount();
                });
            });
        };

                $scope.goback = function(){
            $ionicHistory.nextViewOptions({
                disableBack: true
            });
         $state.go('app.home', {reload:true});
        };

        $scope.editForm = function (form) {
            $state.natureForm = form;
            $rootScope.plus = false;
            $ionicHistory.nextViewOptions({
                disableBack: false
            });
            system.forward($state, false, 'app.nature', {natureId: null, natureForm: form.id});
        };

        $scope.getForms = function () {
            LC.get('savedforms').then(function (forms) {
                $scope.forms = forms;
            });
        };
    });
