angular.module('sdw.tools', ['base64'])
    .service('tools', function ($base64) {
        this.dateFromString = function (str) {
            var m = str.match(/(\d{4})-(\d{2})-(\d{2})\s{1}(\d{2}):(\d{2}):(\d{2})/);
            return new Date(+parseInt(m[1], 10), +parseInt(m[2], 10) - 1, +parseInt(m[3], 10), +parseInt(m[4], 10), +parseInt(m[5], 10), +parseInt(m[6], 10), 0);
        };
        this.capitalizeFirstLetter = function (string) {
            return string.charAt(0).toUpperCase() + string.slice(1);
        };
        this.base64_encode = function (string) {
            return $base64.encode(string);
        };
        this.base64_decode = function (string) {
            return $base64.decode(string);
        };
        this.isDefined = function (object) {
            return ( typeof(object) !== "undefined" && object !== null );
        };
        this.isInt = function (n) {
            return parseInt(n, 10) == n;
        };
    });