angular.module('starter.controllers')
    .controller('InscriptionCtrl', function ($scope, $stateParams, ws, system, tools) {
        if (!$scope.newUser)
            $scope.newUser = {};

        $scope.createUser = function (newUser) {
            $scope.newUser = newUser;

            if (
                !newUser.nom || !newUser.prenom || !newUser.email || !newUser.pass1 || !newUser.pass2
            ) {
                system.alert('Erreur de données', 'Vous devez renseigner les champs obligatoires (marqués d\'une <sup>*</sup>)');
                return null;
            }

            if (newUser.pass1 != newUser.pass2) {
                system.alert('Erreur de données', 'Les mots de passes ne correspondent pas');
                return null;
            }

            newUser.password = tools.base64_encode(newUser.pass1);

            ws.createNewUser($scope, newUser, $stateParams.route);
        }
    });